:root {
    --blue            : var(--bs-blue);
    --indigo          : var(--bs-indigo);
    --purple          : var(--bs-purple);
    --pink            : var(--bs-pink);
    --red             : var(--bs-red);
    --orange          : var(--bs-orange);
    --yellow          : var(--bs-yellow);
    --green           : var(--bs-green);
    --teal            : var(--bs-teal);
    --cyan            : var(--bs-cyan);
    --white           : var(--bs-white);
    --gray            : var(--bs-gray);
    --gray-dark       : var(--bs-gray-dark);
    --primary         : var(--bs-primary);
    --secondary       : var(--bs-secondary);
    --success         : var(--bs-success);
    --info            : var(--bs-info);
    --warning         : var(--bs-warning);
    --danger          : var(--bs-danger);
    --light           : var(--bs-light);
    --dark            : var(--bs-dark);
    --text-light-color: var(--light);
    --text-dark-color : var(--dark);
    --bg-primary      : var(--primary);
    --z-index         : 1024;
    --radius          : 5px;
}

body {
    font-family    : -apple-system, BlinkMacSystemFont, "Open Sans", "Helvetica Neue", Helvetica, Arial, "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif, "Apple Color Emoji", "Android Emoji", "Segoe UI Emoji";
}

input {
    caret-color: var(--primary);
}

pre {
    white-space: pre-wrap;
}

pre p {
    text-indent: 2em;
}

.loading {
    color: var(--primary);
}

.container-fluid {
    padding: 0;
}

.bs-alert {
    min-width: 480px;
}

.bs-alert .bs-alert-header {
    min-height: 0;
    padding   : 0;
}

.bs-alert .bs-alert-header .bs-alert-title {
    font-size: 1rem;
}

.bs-alert .bs-alert-body {
    font-size: 1.05rem;
}

.bs-toast {
    width    : 480px;
    max-width: 90vw;
    position : fixed;
    top      : 10%;
    left     : 50%;
    transform: translate(-50%, -15%) !important;
}

.bs-toast>div {
    width           : auto;
    background-color: var(--white);
}

.header {}

.body {}

.footer {}

.table-responsive {
    height  : 400px;
    overflow: auto;
}

.table-responsive table thead tr:nth-child(1) th {
    position: sticky;
    top     : 0;
}

.tabulator-col-title {
    text-align: center;
}
